//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: CoolBtn.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
//自制的按钮类
#ifndef _COOLBTN_H_
#define _COOLBTN_H_



class CCoolBtn:public CButtonX
{
public:

	void LoadBitmaps(UINT uBmpNormal,UINT uBmpHover,UINT uBmpDown);
	BOOL Create(RECT &rc,HWND hParent,UINT uID);

	CCoolBtn();
	virtual ~CCoolBtn();
		
protected:
	virtual void OnLButtonDown(UINT nFlags, POINT &point);
	virtual void OnTimer(UINT nIDEvent);
	virtual void OnMouseMove(UINT nFlags, POINT point);
	virtual void OnPaint();
	virtual LRESULT WndProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	
	UINT m_uState;
	HBITMAP m_hNormal;
	HBITMAP m_hHover;
	HBITMAP m_hDown;

private:
	
};

#endif